Support » Plugin: PayPal Plus for WooCommerce » Inkompatibel mit Woocommerce 3.4.0

  • Resolved nokieone

    (@nokieone)


    Hallo,

    das PayPal Plus PlugIn führt seit dem Woocoommerce Update 3.4.0. dazu dass WordPress komplett dicht macht und die entsprechende Seite nichtmehr erreichbar ist (HTTP ERROR 500) Bitte um Update!

    • This topic was modified 1 year, 8 months ago by nokieone.
Viewing 10 replies - 1 through 10 (of 10 total)
  • Hi @nokieone
    Es liegt nach erster Einschätzung an dem neuen WooCommerce Update 3.4.0, welches vor wenigen Stunden released wurde. Ich habe das mit oberster Prio an unsere Entwickler weitergegeben. Sind aber morgen erst wieder am Arbeitsplatz.

    Aktuelle Empfehlung: bitte WooCommerce nicht updaten.

    Sorry für den Ärger, wir tun alles was wir tun können, um so schnell wie möglich die Kompatibilität mit Woo 3.4.0 herzustellen.

    Hey Christina,

    ja habs schon gemerkt und musste ein paar Shops auf die letzte Woocommerce Version “back rollen” 🙂 läuft temporär alles wieder. Update Woocommerce erst wieder wenns ein Update von eucht gibt -_-
    Lg

    Release kommt voraussichtlich morgen nachmittag. Den Fatal Error konnten unsere Entwickler bereits beheben. Erste Tests waren ok, wir müssen morgen aber noch weiter testen, bevor das Release rausgeht.

    Der aktuelle Fix, falls es jemand damit versuchen will:
    in Datei src/WC/PayPalPlusGateway.php
    Zeile 283 private function can_refund_order( \WC_Order $order ) {

    ersetzen mit public function can_refund_order( $order ) {

    Für Feedback, ob es mit dem Fix funktioniert, sind wir dankbar 🙂

    LG

    Hi,

    ich habe folgenden Fehler erhalten

    Fatal error: Access level to WCPayPalPlus\WC\PayPalPlusGateway::can_refund_order() must be public (as in class WC_Payment_Gateway) in /wp-content/plugins/woo-paypalplus/src/WC/PayPalPlusGateway.php on line 648

    nach dem Ändern der Zeile 283 in src/WC/PayPalPlusGateway.php

    funktioniert alles wieder 🙂

    Gruß, Mathias

    Hallo,

    nach der Änderung der Zeile 283 läuft alles wieder. Zuvor gab es einen White Screen Of Death. Vielen Dank für die schnelle Reaktion.

    Beste Grüße
    David

    @vanvox: Thanks, works like a charm. Suppose this to be fixed in with an update. Have a good day.

    Hallo Zusammen,

    ich bekomme auch folgenden Fehler. Kann mir vielleicht jemand sagen, wo ich die entsprechende Zeile ändern kann/finden kann?

    Vielen Dank,
    Marc

    Plugin Support Andreas W.

    (@aweissinpsyde)

    Hallo @ms1704,

    Bitte klicke auf PLugins > Editor und suchen oben rechts unter “Zu bearbeitendes Plugin wählen:” PayPal Plus for WooCommerce. Gehe dann im rechten Datei-Menübaum zu src/WC/PayPalPlusGateway.php und ersetze in der Zeile 283

    private function can_refund_order( \WC_Order $order ) {

    mit

    public function can_refund_order( $order ) {

    Nachdem du dies geändert hast, bitte auf “Datei aktualisieren” am Ende der Seite klicken.

    Wir haben soeben ein neues Release veröffentlicht mit dem oben erwähnten Fix.

    Vielen Dank für eure Hilfe und eure Geduld.

    Plugin Support Andreas W.

    (@aweissinpsyde)

    Fehler wurde durch uns und der neuen Version behoben

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘Inkompatibel mit Woocommerce 3.4.0’ is closed to new replies.